#include <bits/stdc++.h>

using namespace std;

int main(void)
{
    int o=0;
    long long int u[], b[], g[];
    long int sum, a, x;

    for(int i=0; i<o; ++i){

        cin >> u[o] >> b[o] >> g[o];

        if(g==1)
        {
            sum=0;
            for(int i=1; i<=u[o]; ++i)
                sum+=i;
            if(sum>b[o])
            {
                cout << "Nie";
            }
            else{
                cout << "Tak";
            }
        }


        else{
            a = u[o]/g[o];
            for(int i=a-1; i>0; --i)
                a+=i;
            x = a;
            a *= (g[o]-1);
            if(a > b[o]){
                cout << "Nie";
                continue;
            }

            b[o] -= a;

            if(u[o]%2==1){
                if(b[o]>=(x+u[o]/b[o]+1)){
                    cout << "Tak";
                }
                else{
                    cout << "Nie";
                }
            }
            else
            {
                if(b[o]>=x)
                    cout << "Tak";
                else
                    cout << "Nie";
            }
        }
    }

}